#include "TMHistogrammingShowDet.h"

//_____________________________________________________________________
TMHistogrammingShowDet::TMHistogrammingShowDet() :
  TMHistogramming()
{}
//_____________________________________________________________________
TMHistogrammingShowDet::~TMHistogrammingShowDet() {}
//_____________________________________________________________________
void TMHistogrammingShowDet::ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row) {
  // do nothing in this class
}
//_____________________________________________________________________
void TMHistogrammingShowDet::ProcessCluster(Float_t x, Float_t y, Float_t z, UInt_t module, UInt_t size, UInt_t widz, UInt_t widphi, UInt_t type) {
  // do nothing in this class
}
//_____________________________________________________________________
void TMHistogrammingShowDet::ProcessClusters(HenrikClusterFinderSPD* clFinder) {
  // do nothing in this class
}
//_____________________________________________________________________
void TMHistogrammingShowDet::ProcessEvent(eventHeaderStruct *event) {
  // do nothing in this class
}
//_____________________________________________________________________
void TMHistogrammingShowDet::StartEvent(eventHeaderStruct *event, UInt_t globalEventNumber) {
  TMHistogramming::StartEvent(event,globalEventNumber);
}
//_____________________________________________________________________
void TMHistogrammingShowDet::EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber) {
  TMHistogramming::EndEvent(str, globalEventNumber);
}
//_____________________________________________________________________
void TMHistogrammingShowDet::Draw(TPad *pad) {
  // do nothing in this class
}
//_____________________________________________________________________
void TMHistogrammingShowDet::Reset() {
  fNrEvents = 0;
}
//______________________________________________________________________
void TMHistogrammingShowDet::ResetAuto() {
  if (fAutoReset) {
    Reset();
  }
}
